-- phpMyAdmin SQL Dump
-- version 4.9.4
-- https://www.phpmyadmin.net/
--
-- Host: localhost:3306
-- Generation Time: May 31, 2022 at 06:21 AM
-- Server version: 5.6.51
-- PHP Version: 7.3.6

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `freezero_db`
--

-- --------------------------------------------------------

--
-- Table structure for table `attack_ips`
--

CREATE TABLE `attack_ips` (
  `id` int(11) NOT NULL,
  `IP` text NOT NULL,
  `num` int(11) NOT NULL DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `games`
--

CREATE TABLE `games` (
  `id` int(11) NOT NULL,
  `wallet` text NOT NULL,
  `ref` text NOT NULL,
  `hash` text NOT NULL,
  `plays` int(11) NOT NULL DEFAULT '2',
  `win` int(11) NOT NULL DEFAULT '0',
  `balance` int(11) NOT NULL DEFAULT '0',
  `totalpaid` int(11) NOT NULL DEFAULT '0',
  `IP` text NOT NULL,
  `age` int(11) NOT NULL DEFAULT '0',
  `playstoday` int(11) NOT NULL DEFAULT '0',
  `nowpaying` int(1) NOT NULL DEFAULT '0',
  `payme` int(11) NOT NULL DEFAULT '0',
  `lastpayment` int(11) NOT NULL DEFAULT '0',
  `bot` int(11) NOT NULL DEFAULT '0',
  `countdown` datetime NOT NULL,
  `nextclaim` int(3) NOT NULL DEFAULT '0',
  `nextcaptcha` smallint(6) NOT NULL DEFAULT '1',
  `captcha` smallint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `payouts`
--

CREATE TABLE `payouts` (
  `id` int(11) NOT NULL,
  `wallet` text NOT NULL,
  `amount` int(11) NOT NULL DEFAULT '0',
  `type` int(2) NOT NULL DEFAULT '0',
  `tx` text NOT NULL,
  `stats` text NOT NULL,
  `date` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `setting`
--

CREATE TABLE `setting` (
  `id` int(11) NOT NULL,
  `exp` text NOT NULL,
  `setting` bigint(14) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `setting`
--

INSERT INTO `setting` (`id`, `exp`, `setting`) VALUES
(1, 'WithdrawAddress', 0),
(2, 'TUsers', 0),
(3, 'TPaid', 0),
(4, 'empty', 1),
(5, 'TPayments', 0);

-- --------------------------------------------------------

--
-- Table structure for table `stats`
--

CREATE TABLE `stats` (
  `id` int(11) NOT NULL,
  `members` int(11) NOT NULL DEFAULT '0',
  `plays` int(11) NOT NULL DEFAULT '0',
  `paid` int(11) NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  `playedtoday` int(11) NOT NULL DEFAULT '0',
  `payouts` int(11) NOT NULL DEFAULT '0',
  `payoutsD` int(11) NOT NULL DEFAULT '0',
  `nowbusy` int(11) NOT NULL DEFAULT '0',
  `nowbusyID` int(11) NOT NULL DEFAULT '0',
  `Gplays` int(11) NOT NULL DEFAULT '0',
  `Fplays` int(11) NOT NULL DEFAULT '0',
  `NextWithdrawM` int(11) NOT NULL DEFAULT '1440'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `attack_ips`
--
ALTER TABLE `attack_ips`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`);

--
-- Indexes for table `games`
--
ALTER TABLE `games`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`);

--
-- Indexes for table `payouts`
--
ALTER TABLE `payouts`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `setting`
--
ALTER TABLE `setting`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `stats`
--
ALTER TABLE `stats`
  ADD PRIMARY KEY (`id`),
  ADD KEY `id` (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `attack_ips`
--
ALTER TABLE `attack_ips`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `games`
--
ALTER TABLE `games`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `payouts`
--
ALTER TABLE `payouts`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

--
-- AUTO_INCREMENT for table `setting`
--
ALTER TABLE `setting`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `stats`
--
ALTER TABLE `stats`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
